openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/RH_FETCH_DATA:
    post:
      tags:
      - RHDB
      summary: Read PLOG-data
      operationId: /rfc/RH_FETCH_DATA
      requestBody:
        content:
          application/json:
            schema:
              properties:
                AEDTM:
                  type: string
                  format: date
                  default: '00000000'
                  description: Change date
                BEGDA:
                  type: string
                  format: date
                  default: '19000101'
                  description: Start date
                ENDDA:
                  type: string
                  format: date
                  default: '99991231'
                  description: End date
                HISTO:
                  type: string
                  default: '%'
                  maxLength: 1
                  description: Historical record flag
                INFTY:
                  type: string
                  default: ' '
                  maxLength: 4
                  description: Infotype
                ISTAT:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Status
                OBJID:
                  type: integer
                  format: int64
                  description: Object ID
                OTYPE:
                  type: string
                  maxLength: 2
                  description: Object type
                PLVAR:
                  type: string
                  maxLength: 2
                  description: Plan version
                PRIOX:
                  type: string
                  default: '%'
                  maxLength: 2
                  description: Priority
                SEQNR:
                  type: integer
                  format: int64
                  default: 987
                  description: Sequential number
                SUBTY:
                  type: string
                  default: ' '
                  maxLength: 4
                  description: Subtype
                UNAME:
                  type: string
                  default: ' '
                  maxLength: 12
                  description: Last changed by
                VARYF:
                  type: string
                  default: ' '
                  maxLength: 10
                  description: Variation field
                VDATA:
                  type: string
                  default: ' '
                  maxLength: 1000
                  description: Data
                DATA:
                  type: array
                  items:
                    type: object
                    properties:
                      MANDT:
                        type: string
                        maxLength: 3
                        description: Client
                      PLVAR:
                        type: string
                        maxLength: 2
                        description: Plan Version
                      OTYPE:
                        type: string
                        maxLength: 2
                        description: Object Type
                      OBJID:
                        type: integer
                        format: int64
                        description: Object ID
                      INFTY:
                        type: string
                        maxLength: 4
                        description: Infotype
                      SUBTY:
                        type: string
                        maxLength: 4
                        description: Subtype
                      ISTAT:
                        type: string
                        maxLength: 1
                        description: Planning Status
                      PRIOX:
                        type: string
                        maxLength: 2
                        description: Priority
                      BEGDA:
                        type: string
                        format: date
                        description: Start Date
                      ENDDA:
                        type: string
                        format: date
                        description: End Date
                      VARYF:
                        type: string
                        maxLength: 10
                        description: Variation Field for File PLOG
                      SEQNR:
                        type: integer
                        format: int64
                        description: Number of Infotype Record With Same Key
                      AEDTM:
                        type: string
                        format: date
                        description: Changed on
                      UNAME:
                        type: string
                        maxLength: 12
                        description: User Name
                      REASN:
                        type: string
                        maxLength: 2
                        description: Reason
                      HISTO:
                        type: string
                        maxLength: 1
                        description: Historical Record Flag
                      ITXNR:
                        type: integer
                        format: int64
                        description: Text Module for Infotype
                      VDATA:
                        type: string
                        maxLength: 1000
                        description: Variable Data Field in PLOG File
              required:
              - OTYPE
              - PLVAR
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  DATA:
                    type: array
                    items:
                      type: object
                      properties:
                        MANDT:
                          type: string
                          maxLength: 3
                          description: Client
                        PLVAR:
                          type: string
                          maxLength: 2
                          description: Plan Version
                        OTYPE:
                          type: string
                          maxLength: 2
                          description: Object Type
                        OBJID:
                          type: integer
                          format: int64
                          description: Object ID
                        INFTY:
                          type: string
                          maxLength: 4
                          description: Infotype
                        SUBTY:
                          type: string
                          maxLength: 4
                          description: Subtype
                        ISTAT:
                          type: string
                          maxLength: 1
                          description: Planning Status
                        PRIOX:
                          type: string
                          maxLength: 2
                          description: Priority
                        BEGDA:
                          type: string
                          format: date
                          description: Start Date
                        ENDDA:
                          type: string
                          format: date
                          description: End Date
                        VARYF:
                          type: string
                          maxLength: 10
                          description: Variation Field for File PLOG
                        SEQNR:
                          type: integer
                          format: int64
                          description: Number of Infotype Record With Same Key
                        AEDTM:
                          type: string
                          format: date
                          description: Changed on
                        UNAME:
                          type: string
                          maxLength: 12
                          description: User Name
                        REASN:
                          type: string
                          maxLength: 2
                          description: Reason
                        HISTO:
                          type: string
                          maxLength: 1
                          description: Historical Record Flag
                        ITXNR:
                          type: integer
                          format: int64
                          description: Text Module for Infotype
                        VDATA:
                          type: string
                          maxLength: 1000
                          description: Variable Data Field in PLOG File
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
